'''/*************Base GE Command Start**************/
Declare Function GT_AddList Lib "GTDLL" () As Integer
Declare Function GT_AlarmOff Lib "GTDLL" (ByVal axis As Integer) As Integer
Declare Function GT_AlarmOn Lib "GTDLL" (ByVal axis As Integer) As Integer
Declare Function GT_ArcXY Lib "GTDLL" (ByVal x_center As Double,ByVal y_center As Double,ByVal angle As Double) As Integer
Declare Function GT_ArcXYP Lib "GTDLL" (ByVal x_end As Double,ByVal y_end As Double,ByVal r As Double,ByVal dir As Integer) As Integer
Declare Function GT_ArcYZ Lib "GTDLL" (ByVal y_center As Double,ByVal z_center As Double,ByVal angle As Double) As Integer
Declare Function GT_ArcYZP Lib "GTDLL" (ByVal y_end As Double,ByVal z_end As Double,ByVal r As Double,ByVal dir As Integer) As Integer
Declare Function GT_ArcZX Lib "GTDLL" (ByVal z_center As Double,ByVal x_center As Double,ByVal angle As Double) As Integer
Declare Function GT_ArcZXP Lib "GTDLL" (ByVal z_end As Double,ByVal x_end As Double,ByVal r As Double,ByVal dir As Integer) As Integer
Declare Function GT_AxisOff Lib "GTDLL" (ByVal axis As Integer) As Integer
Declare Function GT_AxisOn Lib "GTDLL" (ByVal axis As Integer) As Integer
Declare Function GT_CaptHome Lib "GTDLL" (ByVal axis As Integer) As Integer
Declare Function GT_Close Lib "GTDLL" () As Integer
Declare Function GT_ClrSts Lib "GTDLL" (ByVal axis As Integer) As Integer
Declare Function GT_DrvRst Lib "GTDLL" (ByVal axis As Integer) As Integer
Declare Function GT_EndList Lib "GTDLL" () As Integer
Declare Function GT_EStpMtn Lib "GTDLL" () As Integer
Declare Function GT_ExInpt Lib "GTDLL" (value As Integer) As Integer
Declare Function GT_ExOpt Lib "GTDLL" (ByVal value As Integer) As Integer
Declare Function GT_GetAtlPos Lib "GTDLL" (ByVal axis As Integer,pos As Long) As Integer
Declare Function GT_GetBrkPnt Lib "GTDLL" (pnt As Double) As Integer
Declare Function GT_GetCapt Lib "GTDLL" (ByVal axis As Integer,value As Double) As Integer
Declare Function GT_GetCmdSts Lib "GTDLL" (value As Integer) As Integer
Declare Function GT_GetCrdSts Lib "GTDLL" (coord_status As Integer) As Integer
Declare Function GT_GetLmtSwt Lib "GTDLL" (value As Integer) As Integer
Declare Function GT_GetMtnNm Lib "GTDLL" (motion_linenum As Integer) As Integer
Declare Function GT_GetPrfPnt Lib "GTDLL" (pnt As Double) As Integer
Declare Function GT_GetPrfVel Lib "GTDLL" (vel As Double) As Integer
Declare Function GT_GetSegPnt Lib "GTDLL" (pnt As Double) As Integer
Declare Function GT_GetSts Lib "GTDLL" (ByVal axis As Integer,value As Integer) As Integer
Declare Function GT_HardRst Lib "GTDLL" () As Integer
Declare Function GT_LmtSns Lib "GTDLL" (ByVal value As Integer) As Integer
Declare Function GT_LmtsOff Lib "GTDLL" (ByVal axis As Integer) As Integer
Declare Function GT_LmtsOn Lib "GTDLL" (ByVal axis As Integer) As Integer
Declare Function GT_LnXY Lib "GTDLL" (ByVal x As Double,ByVal y As Double) As Integer
Declare Function GT_LnXYZ Lib "GTDLL" (ByVal x As Double,ByVal y As Double,ByVal z As Double) As Integer
Declare Function GT_LnXYZA Lib "GTDLL" (ByVal x As Double,ByVal y As Double,ByVal z As Double,ByVal A As Double) As Integer
Declare Function GT_LnXYG0 Lib "GTDLL" (ByVal x As Double,ByVal y As Double) As Integer
Declare Function GT_LnXYZG0 Lib "GTDLL" (ByVal x As Double,ByVal y As Double,ByVal z As Double) As Integer
Declare Function GT_LnXYZAG0 Lib "GTDLL" (ByVal x As Double,ByVal y As Double,ByVal z As Double,ByVal A As Double) As Integer
Declare Function GT_MvXY Lib "GTDLL" (ByVal x As Double,ByVal y As Double,ByVal vel As Double,ByVal accel As Double) As Integer
Declare Function GT_MvXYZ Lib "GTDLL" (ByVal x As Double,ByVal y As Double,ByVal z As Double,ByVal vel As Double,ByVal accel As Double) As Integer
Declare Function GT_MvXYZA Lib "GTDLL" (ByVal x As Double,ByVal y As Double,ByVal z As Double,ByVal A As Double,ByVal vel As Double,ByVal accel As Double) As Integer
Declare Function GT_Open Lib "GTDLL" (Optional ByVal PortBase As Long=65535,Optional ByVal irq As Long=0) As Integer
Declare Function GT_Override Lib "GTDLL" (ByVal value As Double) As Integer
Declare Function GT_OverrideG0 Lib "GTDLL" (ByVal value As Double) As Integer
Declare Function GT_Reset Lib "GTDLL" () As Integer
Declare Function GT_RestoreMtn Lib "GTDLL" () As Integer
Declare Function GT_RstSts Lib "GTDLL" (ByVal Axis As Integer,ByVal value As Integer) As Integer
Declare Function GT_SetAtlPos Lib "GTDLL" (ByVal AxisNum As Integer,ByVal pos As Double) As Integer
Declare Function GT_SetDccFlag Lib "GTDLL" () As Integer
Declare Function GT_SetDccVel Lib "GTDLL" (ByVal vel As Double) As Integer
Declare Function GT_SetMaxVel Lib "GTDLL" (ByVal value As Double) As Integer
Declare Function GT_SetStpAcc Lib "GTDLL" (ByVal value As Double) As Integer
Declare Function GT_SetStrtVel Lib "GTDLL" (ByVal value As Double) As Integer
Declare Function GT_SetSynAcc Lib "GTDLL" (ByVal accel As Double) As Integer
Declare Function GT_SetSynVel Lib "GTDLL" (ByVal vel As Double) As Integer
Declare Function GT_StepDir Lib "GTDLL" (ByVal axis As Integer) As Integer
Declare Function GT_StepPulse Lib "GTDLL" (ByVal axis As Integer) As Integer
Declare Function GT_StpMtn Lib "GTDLL" () As Integer
Declare Function GT_StrtList Lib "GTDLL" () As Integer
Declare Function GT_StrtMtn Lib "GTDLL" () As Integer
Declare Function GT_Update Lib "GTDLL" (ByVal axis As Integer) As Integer
Declare Function GT_ZeroPos Lib "GTDLL" (ByVal AxisNum As Integer) As Integer
Declare Function GT_SwitchtoCardNo Lib "GTDLL" (ByVal card_no As Integer) As Integer
Declare Function GT_GetCurrentCardNo Lib "GTDLL" () As Integer
'''///********Base GE Command End**************/

'''/*** Optional GE Command Start**************/
Declare Function GT_CaptIndex Lib "GTDLL" (ByVal axis As Integer) As Integer
Declare Function GT_GetEncPos Lib "GTDLL" (ByVal axis As Integer,Actl_pos As Long) As Integer
Declare Function GT_MapCnt Lib "GTDLL" (ByVal axis As Integer,ByVal Count As Double) As Integer
'''/************* Optional GE Command End**************/
